#
# spec file for package python-venusian
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-venusian
Version:        1.0
Release:        3.1
Url:            http://pylonsproject.org
Summary:        A library for deferring decorator actions
License:        SUSE-Repoze
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/v/venusian/venusian-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-pylons_sphinx_theme
BuildRequires:  python-setuptools
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRequires:  python-repoze.sphinx.autointerface
# Test requirements:
BuildRequires:  python-coverage
BuildRequires:  python-nose
BuildRequires:  python-nose-exclude
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Venusian is a library which allows framework authors to defer
decorator actions.  Instead of taking actions when a function (or
class) decorator is executed at import time, you can defer the action
usually taken by the decorator until a separate "scan" phase.

See the "docs" directory of the package or the online documentation at
http://docs.pylonsproject.org/projects/venusian/dev/.

%package doc
Summary:        A library for deferring decorator actions
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n venusian-%{version}

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# tests disabled, until http://bugs.python.org/issue7559 is resolved (for python 2.*)
#%%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt README.txt
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html

%changelog
* Fri Feb  6 2015 hpj@urpla.net
- update to version 1.0
  - Fix an issue under PyPy > 2.0 where attached decorators may not be found.
  - Drop support of Python 2.4 / 2.5 / Jython.
  - Add lift and onlyliftedfrom class decorators to allow for inheritance of
    venusian decorators attached to superclass methods. See the API
    documentation for more information.
  - Fix bug where otherwise undecorated subclass of a superclass that had
    venusian decorators on it would inherit its superclass’ decorations.
    Venusian decorators should have never been inherited implicitly. See
    https://github.com/Pylons/venusian/issues/11#issuecomment-4977352
* Wed Dec 18 2013 cfarrell@suse.com
- license update: SUSE-Repoze
  See LICENSE
* Tue Dec 10 2013 p.drouand@gmail.com
- Use tarball from pypi.python.org/ as source
* Tue Dec 10 2013 p.drouand@gmail.com
- Change license to get it SPDX compliant;
  In general, python packages are licensed under BSD derived; the
  most closed license is BSD-2-Clause
* Mon Jul 29 2013 speilicke@suse.com
- Simplify macro usage
* Sun Jul 28 2013 hpj@urpla.net
- version 1.0a8: initial release
